<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use App\Models\BorrowTransaction;

class PeminjamanMenungguApproval extends Mailable
{
    use Queueable, SerializesModels;

    public $borrow;

    
    public function __construct(BorrowTransaction $borrow)
    {
        $this->borrow = $borrow;
    }

    
    public function build()
    {
        return $this->subject('📚 Pengajuan Peminjaman Baru - Pustaka Nawasena')
            ->view('emails.peminjaman_menunggu');
    }
}

